/contacts [deprecated]

Lists all your Mixmax Contacts (ie people you've emailed using Mixmax). Does not currently return contacts shared with you via shared contact groups (a performance limitiation).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Deprecated

This endpoint is now marked for deprecation. While this endpoint is still functional, it will be phased out in the future and should not be used in new development efforts.

A Mixmax contact is automatically created for every person you communicate with in Mixmax. Contacts are also synced from Google Contacts and Salesforce lists automatically.

🚧

Email addresses can be associated with only one contact

Currently a contact can only have one email address, and that email address cannot be used for another contact.

ParameterTypeDescription
  • id
StringUnique ID
userIdStringYour user id
emailStringEmail address for the contact. Addresses are always lowercase. This is unique per user - there will only ever be one contact per email address per Mixmax user. Can be specified as a single email or as a String list of comma-separated emails.
nameStringName for the contact, or null if it isn't set
timestampTimestampUnix timestamp of when the contact was last emailed
usedCountNumberThe number of times this person was contacted.
contactIdStringGoogle ID that this contact is associated with, if a contact exists in Google Contacts for this same email address.
salesforceIdStringSalesforce ID that this contact is associated with, if a contact exists in Salesforce (either contact or a lead) for this same email address.
metaObject

Contact variables from any source (ex. Salesforce) that are used to populate sequences and templates variables.

If expand is set in the query with 'firstName' or 'lastName', then it will populate 'First Name' and 'Last Name' metadata properties if they not exist already. The values for these fields will be derived from the Contact's name. If expand is set with 'salesforce' it will populate meta values from the connected salesforce instance if a salesforce Contact or Lead exists for this mixmax contact.

analyticsObjectAnalytics for the contact.
lockedString[]A list of uneditable fields for this contact. These custom fields, if added, will be overridden in template insertion.

Searching

The search string will match either email or the name of the contact. In addition, the following search operators are supported (see below). Multiple-word values for search operators must be escaped in quotes (e.g. name:"brad vogel").

What you can search bySearch operator & example
The contact's email address

email:[email protected] or email:[email protected],[email protected]

Exact email required. Matches case-insensitively.

The contact's full name

name:Mixmax

Partial match on contact name. Matches case-insensitively. Only one name: search operator supported.

Groups the contact is in

groups:"my group name"

Exact, case-sensitive match on group name. If multiple group: search operators passed they will be treated as an AND (i.e. contacts returned must be in all groups).

Query Params
string
Defaults to (created date)

Field to sort by. One of: name, email, timestamp, or usedCount

boolean
Defaults to false

True to sort ascending (A-Z)

string
Defaults to none

Optional search string. See below for format. If using search string, ALL contacts will be searched - even those shared with you.

boolean
Defaults to false

True to include contacts shared with you. Can only be used when also using search= due to current performance limitations.

string

Fields to expand in comma separated form. Currently supporting 'firstName', 'lastName', 'groups', 'notes' and 'salesforce'.

boolean
Defaults to false

Include analytics in the response

string
Defaults to last30

A string describing the analytics date range. One of 'today', 'yesterday', 'last7', 'thisWeek', 'lastWeek', 'last30', 'thisMonth', 'lastMonth', 'last12Months', 'thisYear', 'lastYear', 'allTime' or 'specific'.

int32

The client's timezone offset, in minutes. Used to determine date ranges.

date-time

When dates is 'specific', the lower bound (in ms).

date-time

When dates is 'specific', the upper bound (in ms).

Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
Psst... like working with APIs? Come join us!